<form #f="ngForm" (ngSubmit)="onAddUser(f)">
  <div class="form-group">
    <label for="name">Name</label>
    <input
      type="text"
      class="form-control"
      id="name"
      name="name"
      ngModel
      required
      #name="ngModel"
      [ngClass]="{ 'is-invalid': name.invalid && name.touched }"
    />
  </div>
  <div class="form-group">
    <label for="email">Email</label>
    <input
      type="email"
      class="form-control"
      id="email"
      name="email"
      ngModel
      required
      email
      #email="ngModel"
      [ngClass]="{ 'is-invalid': email.invalid && email.touched }"
    />
  </div>
  <div class="form-group">
    <button class="btn btn-primary w-100" type="submit" [disabled]="f.invalid">
      Add User
    </button>
  </div>
</form>
